### Function

# Fwupd Report flag_from_string

#### Declaration [src]

    FwupdReportFlags
    fwupd_report_flag_from_string (
      const gchar* report_flag
    )

#### Description [src]

Converts a string to an enumerated report flag.

Available since: | 1.9.1

#### Parameters

`report_flag` | `const gchar*`
| A string, e.g. `from-oem`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdReportFlags`
| Enumerated value.